#!/usr/bin/env python

# manifestops - Provides functions for performing different operations on a
# .manifest file
#
# Author: David Planella <david.planella@ubuntu.com>, with mods by Kyle Nitzsche 
# <kyle.nitzsche@canonical.com>
#
# Copyright (c) 2009 2010 anonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

page_template = """
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
  <title>Ubuntu Languages</title>
    <link rel="stylesheet" href="css/ubuntu-book.css" type="text/css" />
    <script src="http://www.google.com/jsapi" type="text/javascript"></script>
    <script type="text/javascript">

      google.load("visualization", "1", {packages:["table"]});
      google.setOnLoadCallback(drawTable);

      function drawTable() {
          var language_table_data = new google.visualization.DataTable(%(languages_json)s, 0.6);

          var language_table = new google.visualization.Table(
            document.getElementById('table_div_langpack'));

          var formatter = new google.visualization.BarFormat({
              min: 0,
              max: 100,
              width: 100,
              colorPositive: 'green'});
          formatter.format(language_table_data, 1); // Apply formatter to second column

          language_table.draw(language_table_data, {
              allowHtml: true,
              showRowNumber: true,
              page: 'enable',
              pageSize: %(total_translated_langs)s});

          // google.visualization.events.addListener(language_table, 'select', function() {
          //     var row = language_table.getSelection()[0].row;
          //     alert('You selected ' + language_table_data.getValue(row, 0));

          google.visualization.events.addListener(language_table, 'select', selectHandler);

      }

    function selectHandler(e) {
        var row = language_table.getSelection()[0].row;
        //alert('A table row was selected');
        alert('A table row was selected' + language_table_data.getValue(row, 0));
    }

    </script>

    <style type="text/css">
        #report-meta {
          text-align: right;
          font-size: small;
          color: #999;
          float: right;
        }

       #report-meta p {
         margin: 0;
       }

       table {margin-left:auto; margin-right:auto;}
    </style>
  </head>
  <body>
    <div id="report-meta">
      <p>Generated on %(gen_date)s</p>
    </div>

    <div id="round">
      <img id="topcap" alt="" src="img/cap-top.png" />
      <div id="layout" class="container clear-block">

        <div id="header">
          <div id="logo-floater">
            <h1>
              <a href="https://wiki.ubuntu.com/Translations" title="Ubuntu Translations">
                <img alt="Ubuntu" id="logo" src="img/logo.png" />
              </a>
            </h1>
          </div>

        </div>

        <div id="page">
          <div id="content">
            <div class="titlepage">
               <h2 class="title"><a id="id2820777"></a>Ubuntu %(distro_release)s (%(distro_codename)s) Languages</h2>
            </div>

  	  <ul id="total-languages">
<!--          <li><strong>Fully translated languages:</strong> %(translated_langs_str)s</li>-->
          <li><strong>Total number of languages:</strong> %(total_langs)s</li>
          <li><strong>Last update:</strong> %(gen_date)s</li>
  	  </ul>

  	  <div id="table_div_langpack"></div>

  	  <hr />

            <div id="footer">
              <div id="ubuntulinks">
  	For information on contributing see the <a href="https://wiki.ubuntu.com/Translations">Ubuntu Translations wiki page</a>. To report a problem, visit the <a href="https://bugs.launchpad.net/ubuntu-translations">bug page for Ubuntu Translations</a></p>
              </div>
            </div>
  	  <div id="bottomcap">
              <img src="img/cap-bottom.png" alt="" />
            </div>
          </div>
        </div>
      </div>
    </div>

  </body>
</html>
"""
